#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    string s;
    cin>>s;
    int q;
    cin>>q;
    while(q--){
        int l,r;
        cin>>l>>r;
        int res=0;
        for (int i=l-1; i<r-1; i++) if (int(s[i])-int(s[i+1])>0) res++;
        res++;
        cout<<res<<endl;
    }
}
